Package com.gpudb.protocol
Class CreateUnionRequest.Options
java.lang.Object
com.gpudb.protocol.CreateUnionRequest.Options
Enclosing class:
A set of string constants for the
CreateUnionRequest parameter options.
Optional parameters.
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final StringIndicates the target maximum data size for each column in a chunk to be used for this output table.static final StringIndicates the target maximum data size for all columns in a chunk to be used for this output table.static final StringIndicates the number of records per chunk to be used for this output table.static final String[DEPRECATED—please specify the containing schema for the projection as part oftableNameand useGPUdb.createSchemato create the schema if non-existent] Name of the schema for the output table.static final StringThe default compression codec for this table’s columns.static final StringComma-separated list of columns on which to create indexes on the output table.static final Stringstatic final StringRetains all unique rows from the first table that do not appear in the second table (only works on 2 tables).static final StringRetains all rows(including duplicates) from the first table that do not appear in the second table (only works on 2 tables).static final Stringstatic final Stringstatic final StringUse hash partitioning.static final StringRetains all unique rows that appear in both of the specified tables (only works on 2 tables).static final StringRetains all rows(including duplicates) that appear in both of the specified tables (only works on 2 tables).static final Stringstatic final StringIfTRUE, a new partition will be created for values which don’t fall into an existing partition.static final StringUse list partitioning.static final StringThe mode describes what rows of the tables being unioned will be retained.static final StringReturn a count of 0 for the union table response to avoid the cost of counting; optimization needed for many chunk virtual unions.static final StringComma-separated list of partition definitions, whose format depends on the choice ofPARTITION_TYPE.static final StringComma-separated list of partition keys, which are the columns or column expressions by which records will be assigned to partitions defined byPARTITION_DEFINITIONS.static final StringPartitioning scheme to use for the output table.static final Stringstatic final StringUse range partitioning.static final StringUse series partitioning.static final StringThe tier strategy for the table and its columns.static final Stringstatic final Stringstatic final StringRetains all unique rows from the specified tables (synonym forUNION_DISTINCT).static final StringRetains all rows from the specified tables.static final StringRetains all unique rows from the specified tables.static final StringID of view of which this output table is a member.
Field Details
CREATE_TEMP_TABLE
IfTRUE, a unique temporary table name will be generated in the sys_temp schema and used in place oftableName. IfPERSISTisFALSE(or unspecified), then this is always allowed even if the caller does not have permission to create tables. The generated name is returned inQUALIFIED_TABLE_NAME. Supported values:The default value isFALSE.See Also:COLLECTION_NAME
[DEPRECATED—please specify the containing schema for the projection as part oftableNameand useGPUdb.createSchemato create the schema if non-existent] Name of the schema for the output table. If the schema provided is non-existent, it will be automatically created. The default value is ”.See Also:MODE
The mode describes what rows of the tables being unioned will be retained. Supported values:UNION_ALL: Retains all rows from the specified tables.UNION: Retains all unique rows from the specified tables (synonym forUNION_DISTINCT).UNION_DISTINCT: Retains all unique rows from the specified tables.EXCEPT: Retains all unique rows from the first table that do not appear in the second table (only works on 2 tables).EXCEPT_ALL: Retains all rows(including duplicates) from the first table that do not appear in the second table (only works on 2 tables).INTERSECT: Retains all unique rows that appear in both of the specified tables (only works on 2 tables).INTERSECT_ALL: Retains all rows(including duplicates) that appear in both of the specified tables (only works on 2 tables).
UNION_ALL.See Also:CREATE_INDEXES
Comma-separated list of columns on which to create indexes on the output table. The columns specified must be present inoutputColumnNames.See Also:PARTITION_TYPE
Partitioning scheme to use for the output table. Supported values:RANGE: Use range partitioning.INTERVAL: Use interval partitioning.LIST: Use list partitioning.HASH: Use hash partitioning.SERIES: Use series partitioning.
See Also:PARTITION_KEYS
Comma-separated list of partition keys, which are the columns or column expressions by which records will be assigned to partitions defined byPARTITION_DEFINITIONS.See Also:PARTITION_DEFINITIONS
Comma-separated list of partition definitions, whose format depends on the choice ofPARTITION_TYPE. See range partitioning, interval partitioning, list partitioning, hash partitioning, or series partitioning for example formats.See Also: